## libxsettings 0.11

=== Makefile ===
PREFIX = /usr/local
PACKAGE = libxsettings
DEBUG = no
CVSBUILD = no
VERSION = 0.11

.SUFFIXES: .os

LIBXSETTINGS_SO = libXsettings.so.0
XSETTINGS_MEMBERS = xsettings-common

PACKAGE_CPPFLAGS += $(STANDARD_CPPFLAGS)
PACKAGE_CFLAGS += $(STANDARD_CFLAGS) `pkg-config --cflags x11`
PACKAGE_LDFLAGS += $(STANDARD_LDFLAGS) `pkg-config --libs x11`

XSETTINGS_OBJS = $(patsubst %,%.os,$(XSETTINGS_MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS) $(XSETTINGS_MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS) $(XSETTINGS_MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

.c.os:;
	$(CC) -o $@ -c $^ $(CFLAGS) $(PACKAGE_CFLAGS) -fPIC

all: libXsettings.so

libXsettings.so: $(LIBXSETTINGS_SO)
	ln -sf $^ $@

$(LIBXSETTINGS_SO): $(XSETTINGS_OBJS)
	$(CC) -o $@ $^ -shared -Wl,-soname -Wl,$(LIBXSETTINGS_SO) -nostartfiles $(LDFLAGS) $(PACKAGE_LDFLAGS)

install-program: $(LIBXSETTINGS_SO)
	install -d $(DESTDIR)$(PREFIX)/lib
	install -s $(LIBXSETTINGS_SO) $(DESTDIR)$(PREFIX)/lib/$(LIBXSETTINGS_SO)

install-devel:
	install -d $(DESTDIR)$(PREFIX)/include
	install -m 644 xsettings-common.h $(DESTDIR)$(PREFIX)/include/xsettings-common.h
	install -d $(DESTDIR)$(PREFIX)/lib
	ln -sf $(LIBXSETTINGS_SO) $(DESTDIR)$(PREFIX)/lib/libXsettings.so

clean:
	rm -f $(LIBXSETTINGS_SO) libXsettings.so
	rm -f $(XSETTINGS_OBJS) $(DEPS)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

=== debian/changelog ===
libxsettings (0.11-7) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 15:53:03 +0100

libxsettings (0.11-6) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 00:22:38 -0400

libxsettings (0.11-6~exp1) experimental; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 13.
  * Apply multi-arch hints.
    + libxsettings-dev, libxsettings0: Add Multi-Arch: same.

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.5.1.
  * debian/rules: Modernize packaging.
  * Replace existing patches with autotools-based buildsystem.

 -- Boyuan Yang <byang@debian.org>  Tue, 06 Apr 2021 11:26:09 -0400

libxsettings (0.11-5) unstable; urgency=medium

  * QA upload.
  * Apply "wrap-and-sort -abst".
  * debian/control:
    + Bump Standards-Version to 4.2.1.
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat.
    + Add Vcs-* fields to reference packaging repo under Salsa
      Debian Group.
    - Remove -dbg package in favour of automatic -dbgsym package.
  * debian/rules:
    + Migrate to dh syntax.
    + Enable full hardening.

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Dec 2018 20:52:00 -0500

libxsettings (0.11-4) unstable; urgency=medium

  * QA upload.

 -- Neil Williams <codehelp@debian.org>  Sun, 03 May 2015 09:31:01 +0100

libxsettings (0.11-3) unstable; urgency=low

  * Migrate homepage into control field
  * Update standards version (no changes)
  * Change dbg package to priority extra
  * Add Debian GPE team to uploaders

 -- Neil Williams <codehelp@debian.org>  Thu, 31 Jan 2008 20:31:46 +0000

libxsettings (0.11-2) unstable; urgency=low

  * Add a dbg package
  * fix watch file

 -- Neil Williams <codehelp@debian.org>  Tue, 24 Apr 2007 10:03:40 +0100

libxsettings (0.11-1) unstable; urgency=low

  * Initial release. (Closes: #404306: ITP: libxsettings -- Xsettings
    protocol library for GPE - Debian Bug report logs)

 -- Neil Williams <codehelp@debian.org>  Sat, 23 Dec 2006 18:43:13 +0000

=== debian/control ===
Source: libxsettings
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
 pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://standards.freedesktop.org/xsettings-spec/0.5/
Vcs-Git: https://salsa.debian.org/debian/libxsettings.git
Vcs-Browser: https://salsa.debian.org/debian/libxsettings

Package: libxsettings-dev
Section: libdevel
Architecture: any
Depends:
 libxsettings0 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Xsettings protocol (development files)
 Provides a mechanism to allow the configuration of settings such as double
 click timeout, drag-and-drop threshold, and default foreground and
 background colors for all applications running within a desktop.
 .
 This package contains the development files for building applications
 using libxsettings.
 .
 Used by the GPE Palmtop Environment.

Package: libxsettings0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Xsettings protocol library for GPE
 Provides a mechanism to allow the configuration of settings such as double
 click timeout, drag-and-drop threshold, and default foreground and
 background colors for all applications running within a desktop.
 .
 Used by the GPE Palmtop Environment.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://gpe.linuxtogo.org/download/source/libxsettings-([^client].*)\.tar\.gz
